%define subrel	1
%define rel	3

Name:           lxdm
Version:        0.5.3
Release:        %mkrel 8.git20190224.%{rel}
Summary:        GUI login manager for LXDE
License:        GPLv2+
Group:          Graphical desktop/Other
URL:            http://www.lxde.org
#Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
Source0:        %{name}-86852db.tar.xz
Source1:        27%{name}.conf
Source2:        %{name}.service
Patch0:         %{name}-86852db-mga-customization.patch
# LXDM fails to work on minimal installation with default vt autodetection;
# Unlike kdm it selects vt7 but X then quits when the user tries to log in.
# Probably some conflict with systemd/plymouth but did not investigate this
# further as the workaround is acceptable. Mageia bug #3578. -Anssi 12/2011
#
# changed that to let it use vt1 after discussing with coling on irc
# -obgr_seneca 02/2012
Patch2:         %{name}-0.5.0-mga-use_vt1.patch
Patch4:         %{name}-0.4.1-source-etc-profile.patch
# (dams) fix pam.d to enable xguest account (mga #4950)
# (cg) and proper session registration (mga #9799)
Patch5:         %{name}-0.5.3-pam.patch
Patch7:         %{name}-0.5.0-mga-resetX.patch
Patch9:         %{name}-0.5.0-mga-display-faces.patch

BuildRequires:  intltool
BuildRequires:  pkgconfig(xmu)
BuildRequires:  pam-devel
BuildRequires:  iso-codes
BuildRequires:  gtk+3-devel

Requires:       iso-codes
# for --generate in Source1:
Requires:       desktop-common-data >= 1:2-1
# for workaround mga#3714
# see https://bugs.mageia.org/show_bug.cgi?id=3714#c6
Requires:       mkxauth
Requires:       %{name}-theme-mageia

Provides:       dm

%description
A lightweight dropped-in replacement for GDM or KDM.

%prep
%setup -qn %{name}-86852db
%autopatch -p1

# use /run instead of /var/run
sed -i -e 's,/var/run,%{_rundir},g' $(grep -rl /var/run)

# systemd tmpfiles.d conf
cat << EOF > tempfiles.%{name}.conf
d %{_rundir}/%{name} 0755 root root
EOF

rm -f data/%{name}.conf

%build
./autogen.sh
%configure --enable-gtk3
%make_build

%install
%make_install

# dm conf file
install -D -m 644 %{SOURCE1} %{buildroot}%{_datadir}/X11/dm.d/27%{name}.conf

install -Dpm 644 tempfiles.%{name}.conf %{buildroot}%{_prefix}/lib/tmpfiles.d/%{name}.conf
install -Dpm 644 %{SOURCE2} %{buildroot}%{_unitdir}/%{name}.service

%find_lang %{name}

%files -f %{name}.lang
%dir %{_sysconfdir}/%{name}
%{_sysconfdir}/%{name}/Xsession
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
%config(noreplace) %{_sysconfdir}/%{name}/LoginReady
%config(noreplace) %{_sysconfdir}/%{name}/PostLogin
%config(noreplace) %{_sysconfdir}/%{name}/PostLogout
%config(noreplace) %{_sysconfdir}/%{name}/PreLogin
%config(noreplace) %{_sysconfdir}/%{name}/PreReboot
%config(noreplace) %{_sysconfdir}/%{name}/PreShutdown
%config(noreplace) %{_datadir}/X11/dm.d/27%{name}.conf
%{_sysconfdir}/pam.d/*
%{_libexecdir}/%{name}-greeter-gdk
%{_libexecdir}/%{name}-greeter-gtk
%{_libexecdir}/%{name}-numlock
%{_libexecdir}/%{name}-session
%{_sbindir}/%{name}*
%{_datadir}/%{name}
%{_bindir}/*
%{_prefix}/lib/tmpfiles.d/%{name}.conf
%{_unitdir}/%{name}.service


%changelog
* Tue May 25 2021 ns80 <ns80> 0.5.3-8.git20190224.3.1.mga8
+ Revision: 1728076
- build with GTK3 (mga#28398)

* Sat Feb 15 2020 umeabot <umeabot> 0.5.3-8.git20190224.3.mga8
+ Revision: 1526271
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun May 12 2019 wally <wally> 0.5.3-8.git20190224.2.mga7
+ Revision: 1397344
- don't log failure if optional modules pam_selinux.so or pam_gnome_keyring.so aren't available

* Tue Mar 05 2019 ns80 <ns80> 0.5.3-8.git20190224.1.mga7
+ Revision: 1371598
- update to latest git snapshot
- drop merged patches
- rediff patch mga-customization

* Sun Feb 24 2019 wally <wally> 0.5.3-7.mga7
+ Revision: 1369802
- use /run instead of /var/run to store pidfiles and sockets etc
- use /run instead of /var/run in systemd tmpfiles.d config file

* Sun Sep 23 2018 umeabot <umeabot> 0.5.3-6.mga7
+ Revision: 1299395
- Mageia 7 Mass Rebuild

* Mon Nov 14 2016 ns80 <ns80> 0.5.3-5.mga6
+ Revision: 1067186
- add an upstream patch to fix tcp_listen=1 that does not work for mordern X.org

* Sat May 21 2016 joequant <joequant> 0.5.3-4.mga6
+ Revision: 1017295
- remove version from dm provides

* Tue Feb 23 2016 ns80 <ns80> 0.5.3-3.mga6
+ Revision: 977353
- add upstream patch to fix ctl+alt+backspace

* Tue Jan 12 2016 ns80 <ns80> 0.5.3-2.mga6
+ Revision: 922088
- add patch to display faces from /usr/share/faces (mga#17477)
- add upstream patch for https://bugzilla.redhat.com/show_bug.cgi?id=1283581

* Wed Nov 25 2015 ns80 <ns80> 0.5.3-1.mga6
+ Revision: 905943
- version 0.5.3

* Fri Oct 09 2015 ns80 <ns80> 0.5.2-2.mga6
+ Revision: 888245
- remove workaround for lxdm creating corrupted ~/.Xauthority file

* Fri Oct 09 2015 ns80 <ns80> 0.5.2-1.mga6
+ Revision: 888136
- version 0.5.2

* Sat Sep 26 2015 wally <wally> 0.5.1-2.mga6
+ Revision: 883993
- don't own /usr/share/xsessions dir

* Thu Sep 24 2015 ns80 <ns80> 0.5.1-1.mga6
+ Revision: 883176
- version 0.5.1
- remove patch str-fmt (merge upstream)
- rediff patch mga-customization

* Wed Feb 11 2015 ns80 <ns80> 0.5.0-3.mga5
+ Revision: 814645
- Use Adwaita as default theme

* Thu Nov 27 2014 alexl <alexl> 0.5.0-2.mga5
+ Revision: 799581
- reset X server after log out (mga#14662)

* Wed Oct 22 2014 alexl <alexl> 0.5.0-1.mga5
+ Revision: 792517
- fix unversioned-explicit-provides dm (rpmlint)
- drop high-cpu.patch
- fix upstream bug #690 (display-user-list-when-password-check-failed.patch)
- version 0.5.0 (mga#14157)

* Wed Oct 15 2014 umeabot <umeabot> 0.4.1-17.mga5
+ Revision: 739696
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.1-16.mga5
+ Revision: 682071
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 0.4.1-15.mga4
+ Revision: 536942
- Mageia 4 Mass Rebuild

* Wed Apr 24 2013 colin <colin> 0.4.1-14.mga4
+ Revision: 411061
- Fix pam session registration (pam_namespace should be before system-auth include mga#9799)

* Sat Jan 12 2013 umeabot <umeabot> 0.4.1-13.mga3
+ Revision: 359154
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 blino <blino> 0.4.1-12.mga3
+ Revision: 314567
- add tmpfiles and systemd unit (from Fedora)
- do not build with consolekit

* Sun Apr 15 2012 obgr_seneca <obgr_seneca> 0.4.1-11.mga2
+ Revision: 230969
- fixed customization patch so it points to the correct wallpaper path

* Sun Apr 15 2012 obgr_seneca <obgr_seneca> 0.4.1-10.mga2
+ Revision: 230926
- Use Mageia theme

* Thu Mar 15 2012 dams <dams> 0.4.1-9.mga2
+ Revision: 223477
- add a patch for pam.d to enable tmpfs for xguest account (mga #4950)

* Wed Mar 07 2012 wally <wally> 0.4.1-8.mga2
+ Revision: 221103
- add patch to source /etc/profile and/or ~/.profile instead of xprofile
  ones when starting session to get more working $$PATH for desktop environment

* Wed Feb 29 2012 obgr_seneca <obgr_seneca> 0.4.1-7.mga2
+ Revision: 216038
- let lxdm use vt1 as gdm does

* Sat Feb 25 2012 wally <wally> 0.4.1-6.mga2
+ Revision: 214503
- add mkxauth to PostLogin script to create working Xauthority file (mga#3714)
+ fwang <fwang>
- add upstream patch to try fixing cpu 100%% usage

* Sat Jan 14 2012 kamil <kamil> 0.4.1-4.mga2
+ Revision: 195858
- add to providing "dm" (mga#4121)
- clean spec

* Mon Dec 05 2011 anssi <anssi> 0.4.1-3.mga2
+ Revision: 177121
- use vt8 due to autodetection selecting vt7 which will fail due to some
  uninvestigated plymouth/systemd issue (bug #3578)

* Mon Dec 05 2011 anssi <anssi> 0.4.1-2.mga2
+ Revision: 176769
- fix missing desktops in login chooser (chksession is now used to
  generate sessions where lxdm wants them, fixes bug #1254)
+ fwang <fwang>
- new version 0.4.1
+ dams <dams>
- delete old patch (mdv)

* Tue Apr 19 2011 dams <dams> 0.2.0-2.mga1
+ Revision: 88671
- Fix patch to display Mageia background

* Sat Mar 19 2011 ennael <ennael> 0.2.0-1.mga1
+ Revision: 74454
- clean spec file
- imported package lxdm


* Fri Jul 23 2010 Funda Wang <fwang@mandriva.org> 0.2.0-1mdv2011.0
+ Revision: 557183
- New version 0.2.0

* Wed Mar 10 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.1.0-4mdv2010.1
+ Revision: 517380
- add %%{_datadir}/X11/dm.d/27%%{name}.conf to make lxdm get listed in drakedm
- change mdv-customiztion patch to make lxdm use Ia Ora (Arctic for the moment)

* Fri Jan 15 2010 Funda Wang <fwang@mandriva.org> 0.1.0-3mdv2010.1
+ Revision: 491595
- bump rel
- use mandriva background
- update desc

* Tue Jan 12 2010 Funda Wang <fwang@mandriva.org> 0.1.0-2mdv2010.1
+ Revision: 490043
- requiresiso-codes
- import lxdm


